#include <bits/stdc++.h>
using namespace std;
int n,v=1,br=0,k;
int b[10000];
string s;
int main()
{
cin >>n>>k;

for(int i=1;i<=n;i++){
    cin>>a[i];
    }


}
//for(int i=br;i>0;i--){
   //     v=v*i;
     //   cout << br <<endl;
    //}
    //v=br*2;
   cout <<1 <<endl;
return 0;
}